{% extends "layout.html" %}
{% block title %}Mijia Sensors{% endblock %}
{% block section %}Mijia Sensors{% endblock %}
{% block head %}
{{ super() }}
  <!-- Bootstrap time Picker -->
  <link rel="stylesheet" href="/static/plugins/timepicker/bootstrap-timepicker.min.css">
  <link rel="stylesheet" href="/static/bower_components/bootstrap-daterangepicker/daterangepicker.css">
  <!-- bootstrap datepicker -->
  <link rel="stylesheet" href="/static/bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css">
{% endblock %}
{% block content %}
  <!-- Default box -->
    <div class="row">
      <div class="col-md-4">
        <div class="box">
          <div class="box-header with-border">
            <h3 class="box-title">Sensors</h3>
          </div>
          <!-- /.box-header -->
          <div class="box-body">
            <div class="table-responsive">
              <table class="table no-margin">
                <thead>
                <tr>
                  <th>Sensors</th>
                  <th>Address</th>
                  <th>Status</th>
                </tr>
                </thead>
                <tbody>
                {% for sensor in sensors %}
                    <tr>
                      <td>{{ sensor.name }}</td>
                      <td>{{ sensor.address }}</td>
                      <td></td>
                    </tr>
                {% endfor %}
                </tbody>
              </table>
            </div>
            <!-- /.table-responsive -->
          </div>
          <!-- /.box-body -->
        </div>
      </div>
      <div class="col-md-8">
          <div class="box box-default">
            <!-- /.box-header -->
            <div class="box-header with-border">
              <h3 class="box-title">Sensors Statistics</h3>
            </div>
            <div class="box-body">
              <div class="row">
                <form class="form-schedule" action="/sensors/statistics/mijia" method="get">
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Sensors:</label>
                    <select name="sensor" class="form-control select2" style="width: 100%;" required>
                      {% for sensor in sensors %}
                          <option value="{{ sensor.id }}">{{ sensor.name }}</option>
                      {% endfor %}
                    </select>
                  </div>
                </div>
                <!-- /.col -->
                <div class="col-md-5">
                    <div class="form-group">
                      <label>Date Interval:</label>
                      <input type="text" name="dates" class="form-control pull-left" value="{{ dates }}">
                      <!-- /.input group -->
                    </div>
                    <!-- /.form group -->
                </div>
                <!-- /.col -->
                <input type="hidden" name="timezone" value="" id="timezone">
                <div class="col-md-3">
                    <label></label>
                    <div class="input-group">
                    <span class="input-group-btn">
                      <button class="btn btn-success form-control" type="submitt">Search</button>
                    </span>
                  </div>
                  <!-- /.form group -->
                </div>
                </form>
              </div>
              <!-- /.row -->
            </div>
            <!-- /.box-body -->
          </div>
      </div>
    </div>
{% endblock %}
{% block jquery %}
{{ super() }}
<script src="/static/bower_components/moment/min/jstz.js"></script>
<script src="/static/bower_components/moment/min/moment.min.js"></script>
<script src="/static/bower_components/bootstrap-daterangepicker/daterangepicker.js"></script>
<script src="/static/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js"></script>
<script src="/static/plugins/timepicker/bootstrap-timepicker.min.js"></script>
<script type="text/javascript">
$(function() {
    $('input[name="dates"]').daterangepicker({
        timePicker: true,
        timePicker24Hour: true,
        timePickerIncrement: 1,
        locale: {
        format: 'YYYY-MM-DD HH:mm:ss'
        }
    });
});
</script>
<script language="javascript">
    function getTimezoneName() {
        timezone = jstz.determine();
        return timezone.name();
    }
    document.getElementById("timezone").value = getTimezoneName();
</script>
{% endblock %}